[arch-commits] Commit in konversation/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Tue Jun 2 04:24:06 EDT 2009


    Date: Tuesday, June 2, 2009 @ 04:24:06
  Author: tpowa
Revision: 40995

Merged revisions 40994 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/konversation/trunk

........
  r40994 | tpowa | 2009-06-02 08:21:54 +0000 (Di, 02 Jun 2009) | 1 line
  
  upgpkg: konversation 1.2.alpha2-2
........

Modified:
  konversation/repos/testing-x86_64/	(properties)
  konversation/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |   21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)


Property changes on: konversation/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /konversation/trunk:1-40108
   + /konversation/trunk:1-40994

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2009-06-02 08:21:54 UTC (rev 40994)
+++ testing-x86_64/PKGBUILD	2009-06-02 08:24:06 UTC (rev 40995)
@@ -4,19 +4,26 @@
 
 pkgname=konversation
 pkgver=1.2.alpha2
-pkgrel=1
+_pkgver=1.2-alpha2
+pkgrel=2
 pkgdesc="A user friendly IRC client for KDE"
 arch=(i686 x86_64)
 url="http://konversation.kde.org"
-license="GPL"
 depends=('kdelibs' 'libxss' 'kdepimlibs' 'qt')
 makedepends=('automoc4' 'cmake' 'pkgconfig')
-source=(http://download.berlios.de/$pkgname/$pkgname-1.2-alpha2.tar.bz2)
+license=('GPL2' 'FDL')
+source=(http://download.berlios.de/${pkgname}/${pkgname}-${_pkgver}.tar.bz2)
 
 build() {
-  cd $srcdir/$pkgname-1.2-alpha2
-  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
-  make || return 1
-  make DESTDIR=$startdir/pkg install
+  cd ${srcdir}
+  mkdir build
+  cd build
+  cmake ../${pkgname}-${_pkgver} \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_SKIP_RPATH=ON \
+    -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed' \
+    -DCMAKE_INSTALL_PREFIX=/usr
+    make || return 1
+    make DESTDIR=${pkgdir} install || return 1
 }
 md5sums=('213a96650b9493fe650e44c4bddc7b27')



More information about the arch-commits mailing list